Namespace
library
Image / Tag
consul:1.12.2
Content Digest
sha256:ee0735e34f80030c46002f71bc594f25e3f586202da8784b43b4050993ef2445
Details
Created

2022-06-06 17:42:39 UTC

Size

46.4 MB

Content Digest
Labels
  • org.opencontainers.image.authors
    Consul Team <consul@hashicorp.com>
  • org.opencontainers.image.description
    Consul is a datacenter runtime that provides service discovery, configuration, and orchestration.
  • org.opencontainers.image.documentation
    https://www.consul.io/docs
  • org.opencontainers.image.source
    https://github.com/hashicorp/consul
  • org.opencontainers.image.title
    consul
  • org.opencontainers.image.url
    https://www.consul.io/
  • org.opencontainers.image.vendor
    HashiCorp
  • org.opencontainers.image.version
    1.12.2

Environment
HASHICORP_RELEASES

https://releases.hashicorp.com

PATH

/usr/local/sbin:/usr/local/bin:/usr/sbin:/usr/bin:/sbin:/bin


Layers

[#000] sha256:73b28a5955ec7fb46f2cf0434e4901a889f7dda3f8c9ec496300feb256c7eda8 - 5.8% (2.69 MB)

[#001] sha256:c036d14492d1b2b557706d2e054d0380f769c81beceb949ed0600c7f58b9851b - 0.0% (1.21 KB)

[#002] sha256:e0356a6434d39e3976b4b6f9235bb3c740e70d4149e5c6b710c3653b247d0f07 - 94.19% (43.7 MB)

[#003] sha256:7f5905d9eeb35e30123e93ddc94dadd6168fea4ecdd6a17474253b445809c33c - 0.0% (143 Bytes)

[#004] sha256:891d5fc673fe12e6017707d85a284b60cd6f8bb339dfe4ed5f5d3565b77f0960 - 0.0% (155 Bytes)

[#005] sha256:f88d95e4cc9f19bd80a9f01ff330451cea70f9ce4e0e42aca657ccce2c513416 - 0.0% (1.74 KB)


History
2022-04-04 23:38:25 UTC

/bin/sh -c #(nop) ADD file:7d51a0f8691eb78c9062fd31984423a93d276a67b4ed5d1a706e1c2cd9fea23a in /

2022-04-04 23:38:25 UTC

/bin/sh -c #(nop) CMD ["/bin/sh"]

2022-06-06 17:42:20 UTC

/bin/sh -c #(nop) ARG CONSUL_VERSION=1.12.2

2022-06-06 17:42:21 UTC

/bin/sh -c #(nop) LABEL org.opencontainers.image.authors=Consul Team <consul@hashicorp.com> org.opencontainers.image.url=https://www.consul.io/ org.opencontainers.image.documentation=https://www.consul.io/docs org.opencontainers.image.source=https://github.com/hashicorp/consul org.opencontainers.image.version=1.12.2 org.opencontainers.image.vendor=HashiCorp org.opencontainers.image.title=consul org.opencontainers.image.description=Consul is a datacenter runtime that provides service discovery, configuration, and orchestration.

2022-06-06 17:42:22 UTC

/bin/sh -c #(nop) ENV HASHICORP_RELEASES=https://releases.hashicorp.com

2022-06-06 17:42:23 UTC

|1 CONSUL_VERSION=1.12.2 /bin/sh -c addgroup consul && adduser -S -G consul consul

2022-06-06 17:42:31 UTC

|1 CONSUL_VERSION=1.12.2 /bin/sh -c set -eux && apk add --no-cache ca-certificates curl dumb-init gnupg libcap openssl su-exec iputils jq libc6-compat iptables tzdata && gpg --keyserver keyserver.ubuntu.com --recv-keys C874011F0AB405110D02105534365D9472D7468F && mkdir -p /tmp/build && cd /tmp/build && apkArch="$(apk --print-arch)" && case "${apkArch}" in aarch64) consulArch='arm64' ;; armhf) consulArch='arm' ;; x86) consulArch='386' ;; x86_64) consulArch='amd64' ;; *) echo >&2 "error: unsupported architecture: ${apkArch} (see ${HASHICORP_RELEASES}/consul/${CONSUL_VERSION}/)" && exit 1 ;; esac && wget ${HASHICORP_RELEASES}/consul/${CONSUL_VERSION}/consul_${CONSUL_VERSION}_linux_${consulArch}.zip && wget ${HASHICORP_RELEASES}/consul/${CONSUL_VERSION}/consul_${CONSUL_VERSION}_SHA256SUMS && wget ${HASHICORP_RELEASES}/consul/${CONSUL_VERSION}/consul_${CONSUL_VERSION}_SHA256SUMS.sig && gpg --batch --verify consul_${CONSUL_VERSION}_SHA256SUMS.sig consul_${CONSUL_VERSION}_SHA256SUMS && grep consul_${CONSUL_VERSION}_linux_${consulArch}.zip consul_${CONSUL_VERSION}_SHA256SUMS | sha256sum -c && unzip -d /tmp/build consul_${CONSUL_VERSION}_linux_${consulArch}.zip && cp /tmp/build/consul /bin/consul && if [ -f /tmp/build/EULA.txt ]; then mkdir -p /usr/share/doc/consul; mv /tmp/build/EULA.txt /usr/share/doc/consul/EULA.txt; fi && if [ -f /tmp/build/TermsOfEvaluation.txt ]; then mkdir -p /usr/share/doc/consul; mv /tmp/build/TermsOfEvaluation.txt /usr/share/doc/consul/TermsOfEvaluation.txt; fi && cd /tmp && rm -rf /tmp/build && gpgconf --kill all && apk del gnupg openssl && rm -rf /root/.gnupg && consul version

2022-06-06 17:42:31 UTC

|1 CONSUL_VERSION=1.12.2 /bin/sh -c mkdir -p /consul/data && mkdir -p /consul/config && chown -R consul:consul /consul

2022-06-06 17:42:32 UTC

|1 CONSUL_VERSION=1.12.2 /bin/sh -c test -e /etc/nsswitch.conf || echo 'hosts: files dns' > /etc/nsswitch.conf

2022-06-06 17:42:33 UTC

/bin/sh -c #(nop) VOLUME [/consul/data]

2022-06-06 17:42:34 UTC

/bin/sh -c #(nop) EXPOSE 8300

2022-06-06 17:42:35 UTC

/bin/sh -c #(nop) EXPOSE 8301 8301/udp 8302 8302/udp

2022-06-06 17:42:36 UTC

/bin/sh -c #(nop) EXPOSE 8500 8600 8600/udp

2022-06-06 17:42:38 UTC

/bin/sh -c #(nop) COPY file:54fea1810b618dd421534c8fbe34fd9d05aa23929d2290f19c325d1c23d960c3 in /usr/local/bin/docker-entrypoint.sh

2022-06-06 17:42:38 UTC

/bin/sh -c #(nop) ENTRYPOINT ["docker-entrypoint.sh"]

2022-06-06 17:42:39 UTC

/bin/sh -c #(nop) CMD ["agent" "-dev" "-client" "0.0.0.0"]

Details
Created

2022-06-06 18:27:13 UTC

Size

47.2 MB

Content Digest
Labels
  • org.opencontainers.image.authors
    Consul Team <consul@hashicorp.com>
  • org.opencontainers.image.description
    Consul is a datacenter runtime that provides service discovery, configuration, and orchestration.
  • org.opencontainers.image.documentation
    https://www.consul.io/docs
  • org.opencontainers.image.source
    https://github.com/hashicorp/consul
  • org.opencontainers.image.title
    consul
  • org.opencontainers.image.url
    https://www.consul.io/
  • org.opencontainers.image.vendor
    HashiCorp
  • org.opencontainers.image.version
    1.12.2

Environment
HASHICORP_RELEASES

https://releases.hashicorp.com

PATH

/usr/local/sbin:/usr/local/bin:/usr/sbin:/usr/bin:/sbin:/bin


Layers

[#000] sha256:df9b9388f04ad6279a7410b85cedfdcb2208c0a003da7ab5613af71079148139 - 5.68% (2.68 MB)

[#001] sha256:7aa48d4bd8bb86e29ae52b54a2008aa622c3781fd6acfa2e44cd5cf859c43b71 - 0.0% (1.24 KB)

[#002] sha256:fa3ef9b012a54ea43a997ab9743977bc7de3f516332dcd8999f4a4910b14122a - 94.31% (44.5 MB)

[#003] sha256:d239fc798a4c5e4c738352dbdcdd697322a05c5b89a9cd9ccc97a3abf1f2eb46 - 0.0% (176 Bytes)

[#004] sha256:199124be58be7085ef632c2297dde8e22271f783567ed177c68c6a2783bb7aec - 0.0% (154 Bytes)

[#005] sha256:5c3ccfe93b8bfca6058f2fab81810f5ba9c826430efab6bdd28121f00659804f - 0.0% (1.74 KB)


History
2022-04-05 00:19:59 UTC

/bin/sh -c #(nop) ADD file:5d673d25da3a14ce1f6cf66e4c7fd4f4b85a3759a9d93efb3fd9ff852b5b56e4 in /

2022-04-05 00:19:59 UTC

/bin/sh -c #(nop) CMD ["/bin/sh"]

2022-06-06 18:27:05 UTC

/bin/sh -c #(nop) ARG CONSUL_VERSION=1.12.2

2022-06-06 18:27:05 UTC

/bin/sh -c #(nop) LABEL org.opencontainers.image.authors=Consul Team <consul@hashicorp.com> org.opencontainers.image.url=https://www.consul.io/ org.opencontainers.image.documentation=https://www.consul.io/docs org.opencontainers.image.source=https://github.com/hashicorp/consul org.opencontainers.image.version=1.12.2 org.opencontainers.image.vendor=HashiCorp org.opencontainers.image.title=consul org.opencontainers.image.description=Consul is a datacenter runtime that provides service discovery, configuration, and orchestration.

2022-06-06 18:27:05 UTC

/bin/sh -c #(nop) ENV HASHICORP_RELEASES=https://releases.hashicorp.com

2022-06-06 18:27:06 UTC

|1 CONSUL_VERSION=1.12.2 /bin/sh -c addgroup consul && adduser -S -G consul consul

2022-06-06 18:27:11 UTC

|1 CONSUL_VERSION=1.12.2 /bin/sh -c set -eux && apk add --no-cache ca-certificates curl dumb-init gnupg libcap openssl su-exec iputils jq libc6-compat iptables tzdata && gpg --keyserver keyserver.ubuntu.com --recv-keys C874011F0AB405110D02105534365D9472D7468F && mkdir -p /tmp/build && cd /tmp/build && apkArch="$(apk --print-arch)" && case "${apkArch}" in aarch64) consulArch='arm64' ;; armhf) consulArch='arm' ;; x86) consulArch='386' ;; x86_64) consulArch='amd64' ;; *) echo >&2 "error: unsupported architecture: ${apkArch} (see ${HASHICORP_RELEASES}/consul/${CONSUL_VERSION}/)" && exit 1 ;; esac && wget ${HASHICORP_RELEASES}/consul/${CONSUL_VERSION}/consul_${CONSUL_VERSION}_linux_${consulArch}.zip && wget ${HASHICORP_RELEASES}/consul/${CONSUL_VERSION}/consul_${CONSUL_VERSION}_SHA256SUMS && wget ${HASHICORP_RELEASES}/consul/${CONSUL_VERSION}/consul_${CONSUL_VERSION}_SHA256SUMS.sig && gpg --batch --verify consul_${CONSUL_VERSION}_SHA256SUMS.sig consul_${CONSUL_VERSION}_SHA256SUMS && grep consul_${CONSUL_VERSION}_linux_${consulArch}.zip consul_${CONSUL_VERSION}_SHA256SUMS | sha256sum -c && unzip -d /tmp/build consul_${CONSUL_VERSION}_linux_${consulArch}.zip && cp /tmp/build/consul /bin/consul && if [ -f /tmp/build/EULA.txt ]; then mkdir -p /usr/share/doc/consul; mv /tmp/build/EULA.txt /usr/share/doc/consul/EULA.txt; fi && if [ -f /tmp/build/TermsOfEvaluation.txt ]; then mkdir -p /usr/share/doc/consul; mv /tmp/build/TermsOfEvaluation.txt /usr/share/doc/consul/TermsOfEvaluation.txt; fi && cd /tmp && rm -rf /tmp/build && gpgconf --kill all && apk del gnupg openssl && rm -rf /root/.gnupg && consul version

2022-06-06 18:27:12 UTC

|1 CONSUL_VERSION=1.12.2 /bin/sh -c mkdir -p /consul/data && mkdir -p /consul/config && chown -R consul:consul /consul

2022-06-06 18:27:12 UTC

|1 CONSUL_VERSION=1.12.2 /bin/sh -c test -e /etc/nsswitch.conf || echo 'hosts: files dns' > /etc/nsswitch.conf

2022-06-06 18:27:12 UTC

/bin/sh -c #(nop) VOLUME [/consul/data]

2022-06-06 18:27:12 UTC

/bin/sh -c #(nop) EXPOSE 8300

2022-06-06 18:27:13 UTC

/bin/sh -c #(nop) EXPOSE 8301 8301/udp 8302 8302/udp

2022-06-06 18:27:13 UTC

/bin/sh -c #(nop) EXPOSE 8500 8600 8600/udp

2022-06-06 18:27:13 UTC

/bin/sh -c #(nop) COPY file:54fea1810b618dd421534c8fbe34fd9d05aa23929d2290f19c325d1c23d960c3 in /usr/local/bin/docker-entrypoint.sh

2022-06-06 18:27:13 UTC

/bin/sh -c #(nop) ENTRYPOINT ["docker-entrypoint.sh"]

2022-06-06 18:27:13 UTC

/bin/sh -c #(nop) CMD ["agent" "-dev" "-client" "0.0.0.0"]

Details
Created

2022-06-06 17:49:55 UTC

Size

45.2 MB

Content Digest
Labels
  • org.opencontainers.image.authors
    Consul Team <consul@hashicorp.com>
  • org.opencontainers.image.description
    Consul is a datacenter runtime that provides service discovery, configuration, and orchestration.
  • org.opencontainers.image.documentation
    https://www.consul.io/docs
  • org.opencontainers.image.source
    https://github.com/hashicorp/consul
  • org.opencontainers.image.title
    consul
  • org.opencontainers.image.url
    https://www.consul.io/
  • org.opencontainers.image.vendor
    HashiCorp
  • org.opencontainers.image.version
    1.12.2

Environment
HASHICORP_RELEASES

https://releases.hashicorp.com

PATH

/usr/local/sbin:/usr/local/bin:/usr/sbin:/usr/bin:/sbin:/bin


Layers

[#000] sha256:c319b1fc4ed70b8241a7ce6ac0c4015d354bf5cf8c01eb73c50b6709c0c46e49 - 5.53% (2.5 MB)

[#001] sha256:172c64f605f02c13d89a26d7e1de51cf5f9989f437513d0bb157426ce7c9bddb - 0.0% (1.24 KB)

[#002] sha256:e99b94fb31045febe567631bd92baee9f2f2910606e6f037fc6a6e2a54cbd4d9 - 94.46% (42.7 MB)

[#003] sha256:714921570995a97c88cc9e28f77625ad774b2608eeb728e8e341e98e6a256124 - 0.0% (176 Bytes)

[#004] sha256:5adf595d95028707c1de711e10c2f3fa391c3e0a1521bf76b6590ba8d920e9c9 - 0.0% (153 Bytes)

[#005] sha256:bc3f382a916bc2905df02883c1cd108693474e87b57c30644c7f2eb5d2eed41e - 0.0% (1.75 KB)


History
2022-04-04 23:49:42 UTC

/bin/sh -c #(nop) ADD file:159dcddaab900372df882a4e94615ed84250e9cea3e74bc0479d98280342f596 in /

2022-04-04 23:49:42 UTC

/bin/sh -c #(nop) CMD ["/bin/sh"]

2022-06-06 17:49:33 UTC

/bin/sh -c #(nop) ARG CONSUL_VERSION=1.12.2

2022-06-06 17:49:33 UTC

/bin/sh -c #(nop) LABEL org.opencontainers.image.authors=Consul Team <consul@hashicorp.com> org.opencontainers.image.url=https://www.consul.io/ org.opencontainers.image.documentation=https://www.consul.io/docs org.opencontainers.image.source=https://github.com/hashicorp/consul org.opencontainers.image.version=1.12.2 org.opencontainers.image.vendor=HashiCorp org.opencontainers.image.title=consul org.opencontainers.image.description=Consul is a datacenter runtime that provides service discovery, configuration, and orchestration.

2022-06-06 17:49:33 UTC

/bin/sh -c #(nop) ENV HASHICORP_RELEASES=https://releases.hashicorp.com

2022-06-06 17:49:35 UTC

|1 CONSUL_VERSION=1.12.2 /bin/sh -c addgroup consul && adduser -S -G consul consul

2022-06-06 17:49:49 UTC

|1 CONSUL_VERSION=1.12.2 /bin/sh -c set -eux && apk add --no-cache ca-certificates curl dumb-init gnupg libcap openssl su-exec iputils jq libc6-compat iptables tzdata && gpg --keyserver keyserver.ubuntu.com --recv-keys C874011F0AB405110D02105534365D9472D7468F && mkdir -p /tmp/build && cd /tmp/build && apkArch="$(apk --print-arch)" && case "${apkArch}" in aarch64) consulArch='arm64' ;; armhf) consulArch='arm' ;; x86) consulArch='386' ;; x86_64) consulArch='amd64' ;; *) echo >&2 "error: unsupported architecture: ${apkArch} (see ${HASHICORP_RELEASES}/consul/${CONSUL_VERSION}/)" && exit 1 ;; esac && wget ${HASHICORP_RELEASES}/consul/${CONSUL_VERSION}/consul_${CONSUL_VERSION}_linux_${consulArch}.zip && wget ${HASHICORP_RELEASES}/consul/${CONSUL_VERSION}/consul_${CONSUL_VERSION}_SHA256SUMS && wget ${HASHICORP_RELEASES}/consul/${CONSUL_VERSION}/consul_${CONSUL_VERSION}_SHA256SUMS.sig && gpg --batch --verify consul_${CONSUL_VERSION}_SHA256SUMS.sig consul_${CONSUL_VERSION}_SHA256SUMS && grep consul_${CONSUL_VERSION}_linux_${consulArch}.zip consul_${CONSUL_VERSION}_SHA256SUMS | sha256sum -c && unzip -d /tmp/build consul_${CONSUL_VERSION}_linux_${consulArch}.zip && cp /tmp/build/consul /bin/consul && if [ -f /tmp/build/EULA.txt ]; then mkdir -p /usr/share/doc/consul; mv /tmp/build/EULA.txt /usr/share/doc/consul/EULA.txt; fi && if [ -f /tmp/build/TermsOfEvaluation.txt ]; then mkdir -p /usr/share/doc/consul; mv /tmp/build/TermsOfEvaluation.txt /usr/share/doc/consul/TermsOfEvaluation.txt; fi && cd /tmp && rm -rf /tmp/build && gpgconf --kill all && apk del gnupg openssl && rm -rf /root/.gnupg && consul version

2022-06-06 17:49:51 UTC

|1 CONSUL_VERSION=1.12.2 /bin/sh -c mkdir -p /consul/data && mkdir -p /consul/config && chown -R consul:consul /consul

2022-06-06 17:49:52 UTC

|1 CONSUL_VERSION=1.12.2 /bin/sh -c test -e /etc/nsswitch.conf || echo 'hosts: files dns' > /etc/nsswitch.conf

2022-06-06 17:49:53 UTC

/bin/sh -c #(nop) VOLUME [/consul/data]

2022-06-06 17:49:53 UTC

/bin/sh -c #(nop) EXPOSE 8300

2022-06-06 17:49:53 UTC

/bin/sh -c #(nop) EXPOSE 8301 8301/udp 8302 8302/udp

2022-06-06 17:49:54 UTC

/bin/sh -c #(nop) EXPOSE 8500 8600 8600/udp

2022-06-06 17:49:54 UTC

/bin/sh -c #(nop) COPY file:54fea1810b618dd421534c8fbe34fd9d05aa23929d2290f19c325d1c23d960c3 in /usr/local/bin/docker-entrypoint.sh

2022-06-06 17:49:55 UTC

/bin/sh -c #(nop) ENTRYPOINT ["docker-entrypoint.sh"]

2022-06-06 17:49:55 UTC

/bin/sh -c #(nop) CMD ["agent" "-dev" "-client" "0.0.0.0"]

Details
Created

2022-06-06 17:47:22 UTC

Size

45 MB

Content Digest
Labels
  • org.opencontainers.image.authors
    Consul Team <consul@hashicorp.com>
  • org.opencontainers.image.description
    Consul is a datacenter runtime that provides service discovery, configuration, and orchestration.
  • org.opencontainers.image.documentation
    https://www.consul.io/docs
  • org.opencontainers.image.source
    https://github.com/hashicorp/consul
  • org.opencontainers.image.title
    consul
  • org.opencontainers.image.url
    https://www.consul.io/
  • org.opencontainers.image.vendor
    HashiCorp
  • org.opencontainers.image.version
    1.12.2

Environment
HASHICORP_RELEASES

https://releases.hashicorp.com

PATH

/usr/local/sbin:/usr/local/bin:/usr/sbin:/usr/bin:/sbin:/bin


Layers

[#000] sha256:9981e73032c8833e387a8f96986e560edbed12c38119e0edb0439c9c2234eac9 - 5.76% (2.59 MB)

[#001] sha256:852dd48866308bd671353173a738be13359e088984374548057b76df8a03bdd9 - 0.0% (1.21 KB)

[#002] sha256:b3f57f7ce3f084ee916ca7c8580644f9e0e4e1e6b07b13b5720e572981816050 - 94.23% (42.4 MB)

[#003] sha256:120c060cfede9a3c8d97bfb29222215dad767dfe20514beb78bf941e888e8cad - 0.0% (143 Bytes)

[#004] sha256:be076a16914a6d835a25711f47eac0a9690a1ab7a7362915519b039a761d3d5d - 0.0% (153 Bytes)

[#005] sha256:890c17b7a032ee37b9a6fe51b9dfdfa53b209f35799c507be8ab046f942b3497 - 0.0% (1.74 KB)


History
2022-04-04 23:39:31 UTC

/bin/sh -c #(nop) ADD file:90e56af13188c7f0283d244a0d70b853d8bef8587a41f1da8eac3a2aba8964ef in /

2022-04-04 23:39:31 UTC

/bin/sh -c #(nop) CMD ["/bin/sh"]

2022-06-06 17:47:05 UTC

/bin/sh -c #(nop) ARG CONSUL_VERSION=1.12.2

2022-06-06 17:47:06 UTC

/bin/sh -c #(nop) LABEL org.opencontainers.image.authors=Consul Team <consul@hashicorp.com> org.opencontainers.image.url=https://www.consul.io/ org.opencontainers.image.documentation=https://www.consul.io/docs org.opencontainers.image.source=https://github.com/hashicorp/consul org.opencontainers.image.version=1.12.2 org.opencontainers.image.vendor=HashiCorp org.opencontainers.image.title=consul org.opencontainers.image.description=Consul is a datacenter runtime that provides service discovery, configuration, and orchestration.

2022-06-06 17:47:07 UTC

/bin/sh -c #(nop) ENV HASHICORP_RELEASES=https://releases.hashicorp.com

2022-06-06 17:47:08 UTC

|1 CONSUL_VERSION=1.12.2 /bin/sh -c addgroup consul && adduser -S -G consul consul

2022-06-06 17:47:14 UTC

|1 CONSUL_VERSION=1.12.2 /bin/sh -c set -eux && apk add --no-cache ca-certificates curl dumb-init gnupg libcap openssl su-exec iputils jq libc6-compat iptables tzdata && gpg --keyserver keyserver.ubuntu.com --recv-keys C874011F0AB405110D02105534365D9472D7468F && mkdir -p /tmp/build && cd /tmp/build && apkArch="$(apk --print-arch)" && case "${apkArch}" in aarch64) consulArch='arm64' ;; armhf) consulArch='arm' ;; x86) consulArch='386' ;; x86_64) consulArch='amd64' ;; *) echo >&2 "error: unsupported architecture: ${apkArch} (see ${HASHICORP_RELEASES}/consul/${CONSUL_VERSION}/)" && exit 1 ;; esac && wget ${HASHICORP_RELEASES}/consul/${CONSUL_VERSION}/consul_${CONSUL_VERSION}_linux_${consulArch}.zip && wget ${HASHICORP_RELEASES}/consul/${CONSUL_VERSION}/consul_${CONSUL_VERSION}_SHA256SUMS && wget ${HASHICORP_RELEASES}/consul/${CONSUL_VERSION}/consul_${CONSUL_VERSION}_SHA256SUMS.sig && gpg --batch --verify consul_${CONSUL_VERSION}_SHA256SUMS.sig consul_${CONSUL_VERSION}_SHA256SUMS && grep consul_${CONSUL_VERSION}_linux_${consulArch}.zip consul_${CONSUL_VERSION}_SHA256SUMS | sha256sum -c && unzip -d /tmp/build consul_${CONSUL_VERSION}_linux_${consulArch}.zip && cp /tmp/build/consul /bin/consul && if [ -f /tmp/build/EULA.txt ]; then mkdir -p /usr/share/doc/consul; mv /tmp/build/EULA.txt /usr/share/doc/consul/EULA.txt; fi && if [ -f /tmp/build/TermsOfEvaluation.txt ]; then mkdir -p /usr/share/doc/consul; mv /tmp/build/TermsOfEvaluation.txt /usr/share/doc/consul/TermsOfEvaluation.txt; fi && cd /tmp && rm -rf /tmp/build && gpgconf --kill all && apk del gnupg openssl && rm -rf /root/.gnupg && consul version

2022-06-06 17:47:15 UTC

|1 CONSUL_VERSION=1.12.2 /bin/sh -c mkdir -p /consul/data && mkdir -p /consul/config && chown -R consul:consul /consul

2022-06-06 17:47:15 UTC

|1 CONSUL_VERSION=1.12.2 /bin/sh -c test -e /etc/nsswitch.conf || echo 'hosts: files dns' > /etc/nsswitch.conf

2022-06-06 17:47:16 UTC

/bin/sh -c #(nop) VOLUME [/consul/data]

2022-06-06 17:47:17 UTC

/bin/sh -c #(nop) EXPOSE 8300

2022-06-06 17:47:18 UTC

/bin/sh -c #(nop) EXPOSE 8301 8301/udp 8302 8302/udp

2022-06-06 17:47:19 UTC

/bin/sh -c #(nop) EXPOSE 8500 8600 8600/udp

2022-06-06 17:47:21 UTC

/bin/sh -c #(nop) COPY file:54fea1810b618dd421534c8fbe34fd9d05aa23929d2290f19c325d1c23d960c3 in /usr/local/bin/docker-entrypoint.sh

2022-06-06 17:47:21 UTC

/bin/sh -c #(nop) ENTRYPOINT ["docker-entrypoint.sh"]

2022-06-06 17:47:22 UTC

/bin/sh -c #(nop) CMD ["agent" "-dev" "-client" "0.0.0.0"]